<?php

namespace App\Filament\Resources\SupportConversations\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class SupportConversationForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('user_id')
                    ->numeric(),
                TextInput::make('name')
                    ->required(),
                TextInput::make('email_phone')
                    ->email()
                    ->tel()
                    ->required(),
                TextInput::make('subject_service'),
                TextInput::make('status')
                    ->required()
                    ->default('open'),
            ]);
    }
}
